%define glib2_version 2.6.0
%define libbonobo_version 2.13.0
%define libxml2_version 2.5
%define libxslt_version 1.0.19
%define gconf2_version 2.2.0
%define gnome_vfs2_version 2.5.3
%define orbit2_version 2.5.1
%define esound_version 0.2.27

%define po_package libgnome-2.0

Summary: GNOME base library
Name: libgnome
Version: 2.14.1
Release: 1.ydl.1
URL: ftp://ftp.gnome.org/
Source0: %{name}-%{version}.tar.bz2
Source1: desktop_gnome_peripherals_monitor.schemas
License: LGPL
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-root

Requires:  glib2 >= %{glib2_version}
Requires:  libbonobo >= %{libbonobo_version}
Requires:  gnome-vfs2 >= %{gnome_vfs2_version}
Requires:  libxml2 >= %{libxml2_version}
Requires:  ORBit2 >= %{orbit2_version}
Requires:  libxslt >= %{libxslt_version}
## prereq for gconftool
PreReq:  GConf2 >= %{gconf2_version}
PreReq: /usr/bin/gconftool-2

BuildRequires:	zlib-devel
BuildRequires:	esound-devel >= %{esound_version}
BuildRequires:	glib2-devel >= %{glib2_version}
BuildRequires:  libbonobo-devel >= %{libbonobo_version}
BuildRequires:  GConf2-devel >= %{gconf2_version}
BuildRequires:  gnome-vfs2-devel >= %{gnome_vfs2_version}
BuildRequires:  libxml2-devel >= %{libxml2_version}
BuildRequires:  ORBit2-devel >= %{orbit2_version}
BuildRequires:  libxslt-devel >= %{libxslt_version}
BuildRequires:  intltool

Patch1: libgnome-2.7.2-default-background.patch
Patch2: libgnome-2.11.1-scoreloc.patch
Patch3: libgnome-2.7.2-default-icontheme.patch
Patch4: libgnome-2.7.2-default-cursor.patch
Patch5: libgnome-2.8.0-default-browser.patch
Patch6: libgnome-2.8.0-stat-homedir.patch

# Added to avoid the warning messages about utmp group, bug #24171
# fixme, just libzvt?
PreReq:                utempter

%description

GNOME (GNU Network Object Model Environment) is a user-friendly set of
GUI applications and desktop tools to be used in conjunction with a
window manager for the X Window System. The libgnome package includes
non-GUI-related libraries that are needed to run GNOME. The libgnomeui
package contains X11-dependent GNOME library features.


%package devel
Summary: Libraries and headers for libgnome
Group: Development/Libraries
Requires: %name = %{version}

Conflicts: gnome-libs-devel < 1.4.1.2
Requires: zlib-devel
Requires: esound-devel
Requires: ORBit2-devel >= %{orbit2_version}
Requires: glib2-devel >= %{glib2_version}
Requires: libbonobo-devel >= %{libbonobo_version}
Requires: GConf2-devel >= %{gconf2_version}
Requires: gnome-vfs2-devel >= %{gnome_vfs2_version}
Requires: libxml2-devel >= %{libxml2_version}
Requires: libxslt-devel >= %{libxslt_version}

%description devel

GNOME (GNU Network Object Model Environment) is a user-friendly set of
GUI applications and desktop tools to be used in conjunction with a
window manager for the X Window System. The libgnome-devel package
includes the libraries and include files that you will need to
use libgnome.

You should install the libgnome-devel package if you would like to
compile GNOME applications. You do not need to install libgnome-devel
if you just want to use the GNOME desktop environment.

%prep
%setup -q

%patch1 -p1 -b .default-background
%patch2 -p1 -b .scoreloc
%patch3 -p1 -b .default-icontheme
%patch4 -p1 -b .default-cursor
%patch5 -p1 -b .default-browser
%patch6 -p1 -b .stat-homedir

%build
%configure --disable-gtk-doc
# for some reason, I have to rerun config.status 
# to get CATALOGS in po/Makefile
./config.status
export tagname=CC
make %{?_smp_mflags} LIBTOOL=%{_bindir}/libtool

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
export tagname=CC
%makeinstall LIBTOOL=%{_bindir}/libtool
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL
cp %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/gconf/schemas/

rm $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/bonobo/monikers/*.{a,la}

for serverfile in $RPM_BUILD_ROOT%{_libdir}/bonobo/servers/*.server; do
    sed -i -e 's|location *= *"/usr/lib\(64\)*/|location="/usr/$LIB/|' $serverfile
done

%find_lang %{po_package}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/desktop_gnome_*.schemas > /dev/null

%postun -p /sbin/ldconfig

%files -f %{po_package}.lang
%defattr(-,root,root)

%doc AUTHORS COPYING.LIB ChangeLog NEWS README

%{_bindir}/*
%{_libdir}/lib*.so.*
%{_libdir}/bonobo
%{_mandir}/man7/*
%{_sysconfdir}/gconf/schemas/*
%{_sysconfdir}/sound

%files devel
%defattr(-,root,root)

%{_libdir}/lib*.a
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_datadir}/gtk-doc

%changelog
* Wed Jul 12 2006 Tim Renner <trenner@terrasoftsolutions.com>
- Changed patch3 itself to patch to Wonderland rather than Clearlooks

* Tue Apr 11 2006 Matthias Clasen <mclasen@redhat.com> - 2.14.1-1.fc5.1
- Update to 2.14.1

* Mon Mar 13 2006 Matthias Clasen <mclasen@redhat.com> - 2.14.0-1
- Update to 2.14.0

* Mon Feb 27 2006 Matthias Clasen <mclasen@redhat.com> - 2.13.90-1
- Update to 2.13.90
- Drop obsolete patch

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 2.13.7-5.1
- bump again for double-long bug on ppc(64)

* Thu Feb  9 2006 Matthias Clasen <mclasen@redhat.com> - 2.13.7-5
- Rebuild

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 2.13.7-4.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Sun Feb  5 2006 Matthias Clasen <mclasen@redhat.com> 2.13.7-4
- Update requires

* Thu Jan 19 2006 Ray Strode <rstrode@redhat.com> - 2.13.7-3
- s/sed -ie/sed -i -e/

* Thu Jan 19 2006 Ray Strode <rstrode@redhat.com> - 2.13.7-2
- fix multilib bonobo shlib problem

* Mon Jan 16 2006 Matthias Clasen <mclasen@redhat.com> - 2.13.7-1
- Update to 2.13.7

* Wed Dec 14 2005 Matthias Clasen <mclasen@redhat.com> - 2.13.4-1
- Update to 2.13.4

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Wed Nov 30 2005 Matthias Clasen <mclasen@redhat.com> - 2.13.2-1
- Update to 2.13.2
- Drop upstreamed patches

* Mon Oct 24 2005 Matthias Clasen <mclasen@redhat.com> - 2.12.0.1-2
- Add schema for some new keys

* Thu Sep 29 2005 Matthias Clasen <mclasen@redhat.com> - 2.12.0.1-1
- Update to 2.12.0.1

* Thu Sep 22 2005 Jeremy Katz <katzj@redhat.com> - 2.12.0-2
- fix broken translation in schema

* Thu Sep 8 2005 Matthias Clasen <mclasen@redhat.com> - 2.12.0-1
- Update to 2.12.0

* Tue Aug 9 2005 Ray Strode <rstrode@redhat.com> - 2.11.2-1
- Newer upstream version

* Mon Jul 11 2005 Matthias Clasen <mclasen@redhat.com> - 2.11.1-1
- Newer upstream version

* Wed Apr 13 2005 John (J5) Palmieri <johnp@redhat.com> - 2.10.0-3
- Change the default icon theme back to Clearlooks as the Clearlooks
  icon theme will now inherit from Bluecurve

* Wed Apr 13 2005 John (J5) Palmieri <johnp@redhat.com> - 2.10.0-2
- Reenable the default icon theme patch to be bluecurve 

* Fri Apr  8 2005 Ray Strode <rstrode@redhat.com> - 2.10.0-1
- Update to 2.10.0

* Fri Mar 18 2005 Matthias Clasen <mclasen@redhat.com> - 2.9.1-3
- Fix the build on s390

* Thu Mar 17 2005 Matthias Clasen <mclasen@redhat.com> - 2.9.1-2
- Switch to Clearlooks as default gtk theme, gnome as default
  icon theme

* Thu Jan 27 2005 Matthias Clasen <mclasen@redhat.com> - 2.9.1-1
- Update to 2.9.1

* Thu Nov 4 2004 Dan Walsh <dwalsh@redhat.com> - 2.8.0-3
- Stat gnome_user_private_dir before doing chmod, firefox gets
- blown up because of this in strict selinux policy.

* Mon Oct 18 2004  <jrb@redhat.com> - 2.8.0-2
- change default browser to firefox

* Wed Sep 22 2004 Alexander Larsson <alexl@redhat.com> - 2.8.0-1
- update to 2.8.0

* Tue Aug 31 2004 Alex Larsson <alexl@redhat.com> 2.7.92-1
- update to 2.7.92

* Wed Aug 11 2004 Alexander Larsson <alexl@redhat.com> - 2.7.2-2
- Update default fixes to patch schemas.in files

* Wed Aug  4 2004 Mark McLoughlin <markmc@redhat.com> 2.7.2-1
- Update to 2.7.2
- Remove sound properties patches and desktop_gnome_accessibility_startup
  schemas - all seem to be upstream now

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Sat May 15 2004 Colin Walters <walters@redhat.com> 2.6.0-3
- Apply another patch which fixes GNOME sound events, which
  due to what appears to be a glib bug, were broken by my
  previous patch.

* Thu Apr 13 2004 Colin Walters <walters@redhat.com> 2.6.0-2
- Apply my patch to fix --disable-sound property from HEAD

* Thu Apr  1 2004 Alex Larsson <alexl@redhat.com> 2.6.0-1
- update to 2.6.0

* Thu Mar 11 2004 Alex Larsson <alexl@redhat.com> 2.5.91-2
- enable gtk-doc

* Wed Mar 10 2004 Mark McLoughlin <markmc@redhat.com> 2.5.91-1
- Update to 2.5.91

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Feb 24 2004 Alexander Larsson <alexl@redhat.com> 2.5.90-1
- update to 2.5.90

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jan 20 2004 Alexander Larsson <alexl@redhat.com> 2.5.3-1
- 2.5.3

* Tue Sep  2 2003 Alexander Larsson <alexl@redhat.com> 2.4.0-1
- 2.4.0

* Wed Aug 27 2003 Alexander Larsson <alexl@redhat.com> 2.3.7-2
- Default http handler is htmlview

* Wed Aug 27 2003 Alexander Larsson <alexl@redhat.com> 2.3.7-1
- update to 2.3.7

* Tue Aug 12 2003 Alexander Larsson <alexl@redhat.com> 2.3.6-1
- Gnome 2.3 update

* Mon Aug  4 2003 Jeremy Katz <katzj@redhat.com> 2.2.2-6
- rebuild

* Tue Jul 22 2003 Nalin Dahyabhai <nalin@redhat.com> 2.2.2-5
- rebuild

* Tue Jul 22 2003 Jonathan Blandford <jrb@redhat.com>
- install at-startup schemas

* Tue Jul 15 2003 Havoc Pennington <hp@redhat.com> 2.2.2-3
- --disable-gtk-doc

* Mon Jul 14 2003 Havoc Pennington <hp@redhat.com>
- automated rebuild

* Wed Jul  9 2003 Alexander Larsson <alexl@redhat.com> 2.2.2-2
- Fix default theme patch

* Mon Jul  7 2003 Havoc Pennington <hp@redhat.com> 2.2.1-1
- 2.2.2

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Feb 24 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Feb 24 2003 Owen Taylor <otaylor@redhat.com>
- Add back monospace schema, isn't upstream

* Mon Feb 10 2003 Bill Nottingham <notting@redhat.com> 2.2.0.1-6
- clean up filelist (#68226)
- make LIBTOOL=/usr/bin/libtool

* Fri Feb  7 2003 Jonathan Blandford <jrb@redhat.com> 2.2.0.1-3
- fix schema default.

* Thu Feb  6 2003 Jonathan Blandford <jrb@redhat.com> 2.2.0.1-2
- change schema default; add new schema

* Thu Jan 23 2003 Alexander Larsson <alexl@redhat.com>
- update to 2.2.0.1

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Jan 22 2003 Jonathan Blandford <jrb@redhat.com>
- new version

* Sun Jan 12 2003 Havoc Pennington <hp@redhat.com>
- update requirements and rebuild

* Thu Jan  9 2003 Alexander Larsson <alexl@redhat.com>
- Update to 2.1.90
- Add a patch to change the default icon theme to Bluecurve

* Tue Dec  3 2002 Havoc Pennington <hp@redhat.com>
- add explicit gconftool-2 prereq in addition to gconf prereq

* Wed Nov 13 2002 Havoc Pennington <hp@redhat.com>
- only require bonobo-activation 1.0.0

* Sun Nov 10 2002 Havoc Pennington <hp@redhat.com>
- 2.1.1
- remove monospace font schema, should be upstream

* Wed Aug 28 2002 Matt Wilson <msw@redhat.com> 2.0.2-5
- added libgnome-2.0.2-program-init.patch to enable correct module
  initialization when gnome_program_init is called after
  gnome_program_module_register

* Wed Aug 21 2002 Elliot Lee <sopwith@redhat.com> 2.0.2-4
- Fix #64908 with patch3 (scoreloc)
- Add smp_mflags

* Mon Aug 12 2002 Havoc Pennington <hp@redhat.com>
- s/Wonderland/Bluecurve/

* Thu Aug  8 2002 Havoc Pennington <hp@redhat.com>
- change default background to new spec from garrett

* Wed Aug  7 2002 Havoc Pennington <hp@redhat.com>
- 2.0.2

* Wed Jul 24 2002 Owen Taylor <otaylor@redhat.com>
- Add schema for monospaced font

* Wed Jun 26 2002 Owen Taylor <otaylor@redhat.com>
- Fix find_lang

* Sun Jun 16 2002 Havoc Pennington <hp@redhat.com>
- 2.0.1
- put bonobo monikers in file list (don't know what they 
  do, but assuming they do something)
- include /etc/sound in file list

* Mon Jun 10 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Mon Jun 10 2002 Havoc Pennington <hp@redhat.com>
- change default gtk theme to Wonderland

* Fri Jun 07 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Wed Jun  5 2002 Havoc Pennington <hp@redhat.com>
- 1.117.2
- add ldconfig calls

* Mon May 20 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Mon May 20 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment
- add bonobo-activation build requires

* Mon May 20 2002 Havoc Pennington <hp@redhat.com>
- 1.117.1

* Fri May  3 2002 Havoc Pennington <hp@redhat.com>
- 1.116.0

* Thu Apr  4 2002 Jeremy Katz <katzj@redhat.com>
- 1.114.0

* Thu Feb 14 2002 Havoc Pennington <hp@redhat.com>
- 1.111.0

* Wed Jan 30 2002 Owen Taylor <otaylor@redhat.com>
- Version 1.110.0

* Tue Jan 22 2002 Havoc Pennington <hp@redhat.com>
- remove bogus dependency on libdb1

* Thu Jan  3 2002 Havoc Pennington <hp@redhat.com>
- fix the post script

* Thu Jan  3 2002 Havoc Pennington <hp@redhat.com>
- 1.108.0.90 cvs snap

* Tue Nov 27 2001 Havoc Pennington <hp@redhat.com>
- fix .schemas in post

* Tue Nov 27 2001 Havoc Pennington <hp@redhat.com>
- update CVS snap to 1.107.0.90, glib 1.3.11
- add libxslt dep
- require specific versions of dependent libs
- add bunch of missing stuff to file list
- install gconf schemas in post

* Sun Oct 28 2001 Havoc Pennington <hp@redhat.com>
- well, you only get the new CVS snap if you actually change the version in the spec file, doh

* Sun Oct 28 2001 Havoc Pennington <hp@redhat.com>
- new cvs snap, rebuild for glib 1.3.10, remove gtk requires

* Fri Sep 21 2001 Havoc Pennington <hp@redhat.com>
- new CVS snap, rebuild in 7.2-gnome

* Tue Sep 18 2001 Havoc Pennington <hp@redhat.com>
- Initial build.
- remove gtk2 dependency, doh
